Jump to content


Photo

Problems with users and Groups after upgrading to version 2

users groups

  • Please log in to reply
4 replies to this topic

#1 hamidre13

hamidre13

    Member

  • Members
  • PipPip
  • 14 posts

Posted 27 June 2013 - 06:36 PM

Hi

I installed new version of zurmo and  then imported my database from zurmo 1.2 to the zurmo 2. Everything seems to work fine. the only problem is with the users and groups. When the previous users trying to log in system gives them an error:Screen Shot 2013-06-27 at 11.31.45 AM.png

 

it is the same situation for the grops when i try to add parent group to the selected group!

 

What should i do to solve this problem?

 

MY server: linode vps

ubunto 12.4

apache2

 

I also restart memcached couple of times but it did not help!!



#2 chrisedwards

chrisedwards

    Advanced Member

  • Members
  • PipPipPip
  • 276 posts
  • LocationCanada

Posted 27 June 2013 - 07:38 PM

You need to delete the files that are misspelled Activties instead of Activities. See here for the full path:

http://zurmo.org/for...not-consistent/

 

You may run into other issues doing an upgrade like that though. It is highly recommended you wait for an upgrade script. I'm guessing it'll be out by end of next week so it's not that long to wait and will save you headaches down the road.



#3 hamidre13

hamidre13

    Member

  • Members
  • PipPip
  • 14 posts

Posted 28 June 2013 - 05:55 AM

Hi

 

would you elaborate more, in my app it has a correct spelling!

 

The link that you referred did not provide any solution to fix it.



#4 chrisedwards

chrisedwards

    Advanced Member

  • Members
  • PipPipPip
  • 276 posts
  • LocationCanada

Posted 29 June 2013 - 12:28 AM

Hmm the error must be coming from some metadata in the database. In the "portlet" table you probably have entries pointing to the misspelled file. You can either rename them or just clear out the whole table. If you clear out the table, the portlet view config will be regenerated so you won't really lose anything. I don't think 1.5 even has customization available for portlets so impact should be minimal. Obviously backup your database first.



#5 chrisedwards

chrisedwards

    Advanced Member

  • Members
  • PipPipPip
  • 276 posts
  • LocationCanada

Posted 29 June 2013 - 12:52 PM

Did you at least run the upgrade scripts from 1.2 to 1.5?







0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users